Get all automation errors
get
/fscmRestApi/resources/11.13.18.05/automationErrors
Request
Query Parameters
-
effectiveDate: string
This query parameter is used to fetch resources which are effective dated as of the specified start date. The value of this query parameter is a string having a date in yyyy-MM-dd format
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds automation errors according to the specified identifier.
Finder Variables- AutomationErrorId; integer; Value that uniquely identifies the automation error.
- PrimaryKey Finds automation errors according to the specified identifier.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ArchivedFlag; boolean; Indicates whether the automation error is archived. Contains one of the following values: true or false. If true, then the automation error is archived. If false, then the automation error isn't archived. This attribute doesn't have a default value.
- AutoProcessCode; string; Name of the automated process during which the error occurred.
- AutoProcessCodeMeaning; string; Display value of the automated process code.
- AutomationErrorId; integer; Identifier of the error record.
- ErrorNumber; integer; Unique error number to identify each error.
- ErrorTimestamp; string; Indicates the date and time at which the error occurred.
- EventCode; string; Code that identifies the event or automated procedure during which the error occurred.
- EventCodeMeaning; string; Display value of the event code.
- ProcurementBU; string; Procurement business unit where the error occurred.
- ProcurementBUId; integer; Identifier of the procurement business unit for which the error occurred.
- QualAreaId; string; Unique identifier of the qualification area associated with the automation error.
- QualAreaName; string; Name of the qualification area associated with the automation error.
- QualModelId; string; Unique identifier of the qualification model associated with the automation error.
- QualModelName; string; Name of the qualification model associated with the automation error.
- RuleSetId; integer; Unique identifier of the rule set associated with the automation error.
- RuleSetName; string; Name of the rule set associated with the automation error.
- SetupObjectType; string; Type of setup object associated with the automation error.
- SetupRecommendedAction; string; Recommended action for resolving the setup-level error.
- SetupRecommendedActionCode; string; Code that identifies the setup-level recommended action.
- Supplier; string; Supplier associated with the error.
- SupplierId; integer; Identifier of the supplier for which the error occurred.
- SupplierSite; string; Supplier site associated with the automation error.
- SupplierSiteId; integer; Unique identifier of the supplier site.
- TransactionId; integer; Unique identifier of the transaction object for which the error occurred.
- TransactionRecommendedAction; string; Recommended action for resolving the transaction-level error.
- TransactionRecommendedActionCode; string; Code that identifies the transaction-level recommended action.
- TransactionType; string; Type of transaction object associated with the automation error.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Effective-Of: string
This header accepts a string value. The string is a semi-colon separated list of
= . It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers. -
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : automationErrors
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : automationErrors-item-response
Type:
Show Source
object-
ArchivedFlag: boolean
Maximum Length:
1Indicates whether the automation error is archived. Contains one of the following values: true or false. If true, then the automation error is archived. If false, then the automation error isn't archived. This attribute doesn't have a default value. -
attributes: array
Supplier Assessments
Title:
Supplier AssessmentsAdditional details for automation errors. For example, they can include supplemental error attributes -
AutomationErrorId: integer
(int64)
Read Only:
trueIdentifier of the error record. -
AutoProcessCode: string
Read Only:
trueMaximum Length:30Name of the automated process during which the error occurred. -
AutoProcessCodeMeaning: string
Title:
MeaningRead Only:trueMaximum Length:80Display value of the automated process code. -
ErrorDescription: string
Title:
Error DescriptionRead Only:trueMaximum Length:255Description of the automation error. -
ErrorNumber: integer
(int32)
Read Only:
trueUnique error number to identify each error. -
ErrorReason: string
Title:
Error ReasonRead Only:trueMaximum Length:255Reason for the automation error. -
ErrorTimestamp: string
(date-time)
Read Only:
trueIndicates the date and time at which the error occurred. -
EventCode: string
Read Only:
trueMaximum Length:30Code that identifies the event or automated procedure during which the error occurred. -
EventCodeMeaning: string
Title:
MeaningRead Only:trueMaximum Length:80Display value of the event code. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MultipleSupplierFlag: boolean
Read Only:
trueMaximum Length:1Indicates whether the automation error affected multiple suppliers. Contains one of the following values: true or false. If true, then the automation error affected multiple suppliers. If false, then the automation error affected one supplier. This attribute doesn't have a default value. -
ProcurementBU: string
Title:
OrganizationRead Only:trueMaximum Length:240Procurement business unit where the error occurred. -
ProcurementBUId: integer
(int64)
Read Only:
trueIdentifier of the procurement business unit for which the error occurred. -
QualAreaId: string
Read Only:
trueMaximum Length:255Unique identifier of the qualification area associated with the automation error. -
QualAreaName: string
Read Only:
trueMaximum Length:255Name of the qualification area associated with the automation error. -
QualModelId: string
Read Only:
trueMaximum Length:255Unique identifier of the qualification model associated with the automation error. -
QualModelName: string
Read Only:
trueMaximum Length:255Name of the qualification model associated with the automation error. -
RuleSetId: integer
Read Only:
trueUnique identifier of the rule set associated with the automation error. -
RuleSetName: string
Read Only:
trueMaximum Length:255Name of the rule set associated with the automation error. -
SetupObjectType: string
Maximum Length:
30Type of setup object associated with the automation error. -
SetupRecommendedAction: string
Title:
MeaningRead Only:trueMaximum Length:80Recommended action for resolving the setup-level error. -
SetupRecommendedActionCode: string
Maximum Length:
30Code that identifies the setup-level recommended action. -
Supplier: string
Read Only:
trueMaximum Length:360Supplier associated with the error. -
SupplierId: integer
(int64)
Read Only:
trueIdentifier of the supplier for which the error occurred. -
SupplierSite: string
Title:
SiteRead Only:trueMaximum Length:240Supplier site associated with the automation error. -
SupplierSiteId: integer
(int64)
Read Only:
trueUnique identifier of the supplier site. -
TransactionId: integer
(int64)
Unique identifier of the transaction object for which the error occurred.
-
TransactionRecommendedAction: string
Title:
MeaningRead Only:trueMaximum Length:80Recommended action for resolving the transaction-level error. -
TransactionRecommendedActionCode: string
Maximum Length:
30Code that identifies the transaction-level recommended action. -
TransactionType: string
Maximum Length:
30Type of transaction object associated with the automation error.
Nested Schema : Supplier Assessments
Type:
arrayTitle:
Supplier AssessmentsAdditional details for automation errors. For example, they can include supplemental error attributes
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : automationErrors-attributes-item-response
Type:
Show Source
object-
AutomationErrorAttributeId: integer
(int64)
Unique identifier of the automation error attribute.
-
AutomationErrorId: integer
(int64)
Unique identifier of the error to which these attributes belong.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectType: string
Maximum Length:
30Type of the object identified by the object identifier. -
QualAreaId: integer
(int64)
Read Only:
trueUnique identifier of the qualification area captured as an automation error attribute. -
QualAreaName: string
Read Only:
trueMaximum Length:80Unique identifier of the qualification area captured as an automation error attribute. -
QualModelId: integer
(int64)
Read Only:
trueUnique identifier of the qualification model captured as an automation error attribute. -
QualModelName: string
Read Only:
trueMaximum Length:80Unique identifier of the qualification area captured as an automation error attribute.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Links
- requalify
-
Requalifies automation errors associated with the requalify event.
Examples
This example describes how to get all automation errors.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/automationErrors?q=ArchivedFlag=false&orderBy=ErrorTimestamp:desc"
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"items": [
{
"AutomationErrorId": 300100260000001,
"SupplierId": 100000012345678,
"SupplierSiteId": 100000012345679,
"ProcurementBUId": 204,
"ErrorTimestamp": "2026-08-25T09:45:12+00:00",
"ErrorNumber": 100245,
"ProcurementBU": "Vision Operations",
"MultipleSupplierFlag": false,
"Supplier": "Advanced Assembly Automation Inc",
"AutoProcessCode": "REQUALIFICATION",
"AutoProcessCodeMeaning": "Requalification",
"EventCode": "QUALIFICATION_EXPIRATION",
"EventCodeMeaning": "Qualification Expiration",
"ErrorReason": "No active rule set exists for the procurement business unit.",
"ErrorDescription": "The application couldn't create the requalification transaction.",
"ArchivedFlag": false,
"SetupRecommendedActionCode": "CORRECT_RULE_SET",
"SetupRecommendedAction": "Create or activate a valid rule set.",
"TransactionRecommendedActionCode": "REQUALIFY",
"TransactionRecommendedAction": "Correct the setup and submit requalification again.",
"SetupObjectType": "RULE_SET",
"RuleSetId": `**`null`**`,
"RuleSetName": `**`null`**`,
"QualAreaName": "Environmental Sustainability",
"QualAreaId": "300100240000101",
"QualModelId": `**`null`**`,
"QualModelName": `**`null`**`,
"TransactionId": 300100250000501,
"TransactionType": "QUALIFICATION",
"SupplierSite": "Atlanta",
"links": [
{"rel": "self", "href": "https://servername/fscmRestApi/resources/11.13.18.05/automationErrors/300100260000001", "name": "automationErrors", "kind": "item"},
{"rel": "canonical", "href": "https://servername/fscmRestApi/resources/11.13.18.05/automationErrors/300100260000001", "name": "automationErrors", "kind": "item"},
{"rel": "child", "href": "https://servername/fscmRestApi/resources/11.13.18.05/automationErrors/300100260000001/child/attributes", "name": "attributes", "kind": "collection"}
]
}
],
"count": 1,
"hasMore": false,
"limit": 25,
"offset": 0,
"links": [
{"rel": "self", "href": "https://servername/fscmRestApi/resources/11.13.18.05/automationErrors", "name": "automationErrors", "kind": "collection"}
]
}